/*Global styles*/
*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: inherit;
}

html {
    font-family: 'Nunito', sans-serif;
    font-size: 10px;
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

ul {
    list-style: none;
}

p {
    font-size: 1.6rem;
}

img {
    width: 100%;
    max-width: 100%;
    height: auto;
}

section {
    padding: 5rem 0;
}

/*header*/
header {
    width: 100%;
    height: 5rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

.container {
    width: 100%;
    max-width: 98rem;
    margin: 0 auto;
    padding: 0 1.5rem;
}

nav {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 0;
    border-bottom: 1px solid rgba(255, 255, 255, .2);
}

.nav-brand {
    width: 2rem;
}

.menu-icons i {
    font-size: 3.5rem;
    color: #fafafa;
    cursor: pointer;
}

.close i {
    color: #eb648c;
}

.nav-list {
    width: 25rem;
    height: 100vh;
    background-color: #d7d4ed;
    position: fixed;
    top: 0;
    right: -26rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 1500;
    transition: all 600ms ease-in-out;
}

.nav-list.active {
    right: 0;
}

.close {
    position: absolute;
    top: 1rem;
    left: 1.5rem;
}

.nav-item {
    margin: 1.5rem 0;
}

.nav-link {
    font-size: 1.6rem;
    text-transform: uppercase;
    color: rgba(0, 0, 0, .7);
}

.hero {
    width: 100%;
    height: 80vh;
    background: linear-gradient(135deg, rgba(49,24,131,.9) 0%, rgba(72,56,149,0.8) 100%), url('images/header-bg.jpg') center no-repeat;
    background-size: cover;
    position: relative;
}

.hero::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 100%;
    height: 4.7rem;
    background: url('images/wave-small.png') center no-repeat;
    background-size: cover;
}

.main-message {
    width: 100%;
    max-width: 50rem;
    color: #fafafa;
    text-transform: uppercase;
    transform: translateY(20%) ;
}

.main-message h3 {
    font-size: 1.6rem;
}

.main-message h1 {
    font-family: 'Aldrich', sans-serif;
    font-size: 4rem;
    margin: 1rem 0;
}

.main-message p {
    text-transform: lowercase;
}

.btn {
    background-color: #eb648c;
    border-radius: 2rem;
    color: #fafafa;
    display: inline-block;
    margin: 2rem 0;
    padding: 1rem 2.5rem;
    text-transform: uppercase;
    transition: background-color 650ms;
}

.btn:hover {
    background-color: #ce587b;
}

/*experience the outdoors*/
.experience-outdoors {
    padding: 0;
}

.title-heading {
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 10rem;
    color: rgba(0,0,0,0.7);
}

.title-heading h3 {
    font-size: 1.4rem;
}

.title-heading h1 {
    font-family: 'Aldrich', sans-serif;
    font-size: 2rem;
    margin: 0.5rem 0 1rem;
}

.title-heading p {
    text-transform: lowercase;
}

.activities-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    grid-gap: 2.5rem;
}

.activities-grid-item {
    height: 40rem;
    padding: 5rem;
    color: #fafafa;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    cursor: pointer;
    z-index: 1;
}

.activities-grid-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(135deg, rgba(49,24,131,.9) 0%, rgba(72,56,149,0.8) 100%);
    z-index: -1;
}

.star-gazing {
    background: url("images/stars.jpg") center no-repeat;
}

.hiking {
    background: url("images/hiking.jpg") center no-repeat;
}

.camping {
    background: url("images/camping.jpg") center no-repeat;
}

.activities-grid-item i {
    font-size: 4rem;
    color: #eb648c;
}

.activities-grid-item h1 {
    font-family: 'Aldrich', sans-serif;
    font-size: 1.7rem;
    text-transform: uppercase;
    margin: 2rem 0;
}

/*testimonial*/
.testimonials {
    width: 100%;
    height: 80vh;
    background: linear-gradient(135deg, rgba(49,24,131,.9) 0%, rgba(72,56,149,0.8) 100%), url('images/testimonials-bg.jpg') center no-repeat fixed;
    background-size: cover;
    position: relative;
}

.testimonials::before {
    content: "";
    position: absolute;
    top: -3px;
    left: 0;
    width: 100%;
    height: 4.7rem;
    background: url("images/wave-small-reversed.png") center no-repeat;
    background-size: cover;
}

.testimonial {
    width: 100%;
    color: #fafafa;
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.testimonial-text-box {
    padding: 0 1.5rem;
    margin-bottom: 2rem;
    position: relative;
}

.testimonial-text-box i {
    position: absolute;
    top: -8rem;
    left: 50%;
    transform: translateX(-50%);
    font-size: 8rem;
    color: #eb648c;
    opacity: 0.5;
    z-index: -1;
}

.testimonial-customer img {
    width: 10rem;
    height: 10rem;
    border-radius: 100%;
    border: 3px solid #eb648c;
}

/*Begin adventures*/
.adventure-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    grid-gap: 2.5rem;
    margin-bottom: 2rem;
}

.adventure-grid-item p {
    color: rgba(0,0,0,0.7);
}

footer {
    padding: 2.5rem 0;
    background-color: #d7d4ed;
    text-align: center;
    color: rgba(0,0,0,0.7);
}


/*Media queries*/
@media screen and (min-width: 350px) {
    .main-message {
        transform: translateY(50%);
    }
}

@media screen and (min-width: 470px) {
    .hero::before {
        height: 9.4rem;
        background: url("images/wave-medium.png") center no-repeat;
        background-size: cover;
    }

    .testimonials::before {
        height: 9.4rem;
        background: url("images/wave-medium-reversed.png") center no-repeat;
        background-size: cover;
    }
}

@media screen and (min-width: 700px) {
    header {
        height: 8rem;
    }

    .nav-brand {
        width: 3.5rem;
    }

    .nav-list {
        width: initial;
        height: initial;
        background-color: transparent;
        position: initial;
        right: initial;
        display: flex;
        flex-direction: row;
        transition: initial;
    }

    .menu-icons {
        display: none;
    }

    .nav-item {
        margin: 0 2.5rem;
    }

    .nav-link, .current {
        color: #fafafa;
        position: relative;
        font-size: 1.3rem;
    }

    .nav-link::before, .current::before {
        content: "";
        position: absolute;
        left: 0;
        bottom: -.5rem;
        background-color: #eb648c;
        width: 100%;
        height: 2px;
        transform: scaleX(0);
        transform-origin: left;
        transition: transform 650ms;
    }

    .current::before {
        transform: scaleX(1);
    }

    .nav-link:hover::before {
        transform: scaleX(1);
    }

    .hero {
        height: 60vh;
    }

    .main-message {
        transform: translateY(50%);
    }

    .title-heading h1 {
        font-size: 2.5rem;
    }
}

@media screen and (min-width: 950px) {
    .hero::before {
        height: 22.7rem;
        background: url("images/wave-large.png") center no-repeat;
        background-size: cover;
    }

    .testimonials::before {
        height: 22.7rem;
        background: url("images/wave-large-reversed.png") center no-repeat;
        background-size: cover;
    }
}

@media screen and (min-width: 12000px) {
    .hero {
        height: 75vh;
    }
}